/***************************************************************************
*   Copyright (C) 2007 by Messer                                          *
*   neomatraz@gmail.com                                                   *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#ifndef PREFERENCE_H
#define PREFERENCE_H
//---------------------------------------------------------
#include "ui_preference.h"
#include <xine.h>
#include <QDialog>
//---------------------------------------------------------
class preference : public QDialog, public Ui_Preference
{
	Q_OBJECT

	public:
		preference(QWidget *parent = 0);
		QString rootDir();
	Q_SIGNALS:
		void settingsSaved(const QString&);
		void setCodec(const QString&);
	private:

	private slots:
		void on_root_dir_b_clicked();
		void onSaved();
		void on_decodeBt_clicked();
		void on_framelist_itemClicked(QListWidgetItem* it);
	protected:
		xine_t * m_xine;
};
//---------------------------------------------------------
#endif
