/***************************************************************************
*   Copyright (C) 2007 by Messer                                          *
*   neomatraz@gmail.com                                                   *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/


#include "qx_string.h"

QString
 qx_string::get_timestring(uint msec)
{
	int s = msec/1000;
	int sec = s % 60;
	uint min = (s-sec) / 60;
	QString timeStr;
	if(sec<10)
		timeStr = QString::number(min) + " : 0" + QString::number(sec);
	else
		timeStr = QString::number(min) + " : " + QString::number(sec);

	return timeStr;
}

QString
 qx_string::decode_string(const QString& text, const QString &codec)
{
	if(codec != "Locale charset")
	{
		QByteArray tmp;
		tmp.append(text);
		QTextStream s(&tmp);
		s.setCodec((const char*)codec.toLocal8Bit());
		return s.readAll();
	}
	return text;
}
