/***************************************************************************
*   Copyright (C) 2007 by Messer                                          *
*   neomatraz@gmail.com                                                   *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#ifndef EQUAL_H
#define EQUAL_H

#include "ui_eq.h"


class Eq : public QDialog
{
Q_OBJECT

public:
	Eq();
	~Eq();
	void save();
	void read();

Q_SIGNALS:
	void eqChanged(int slId, int value);
	void ampChanged(int value);
	void closed();

private slots:
	void onS30(int);
	void onS60(int);
	void onS125(int);
	void onS250(int);
	void onS500(int);
	void onS1K(int);
	void onS2K(int);
	void onS4K(int);
	void onS8K(int);
	void onS16K(int);
	void enableEqualizer(bool);
	void onAmp(int);

private:
	Ui_Eq ui;
	QPixmap chart;
	void drawChart();

protected:
	void closeEvent(QCloseEvent*);

};

#endif
