/***************************************************************************
*   Copyright (C) 2007 by Messer                                          *
*   neomatraz@gmail.com                                                   *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
/**
	Main module.
*/

#include "tray.h"
#include "slider.h"
#include <QApplication>
#include <QTranslator>
#include <QSettings>

int main (int argc, char **argv)
{
	Q_INIT_RESOURCE(qplay);
	QApplication app (argc, argv);
	QSettings s("messer software" , "qxplayer");
	QString lang = s.value("Lang").toString();
	QTranslator tr;

	if(lang != "English")
		tr.load(QString(":/tr/qxplayer_%1.qm").arg(lang));

	app.installTranslator(&tr);
	Tray tray;
	tray.show();
	return app.exec();
}
